@import '~assets/scss/variables.scss';
@import '~assets/scss/mixins.scss';

html {
  max-width: 100%;

  font-family: $montserrat;
  font-size: rem(16);

  background: $gray;
  overflow-y: scroll;
  overflow-x: hidden;

  @media (max-width: 1260px) {
    font-size: 16 / 1260 * 100vw;
  }

  //@media (max-width: 1024px) {
  //  font-size: 16 / 768 * 100vw;
  //}

  @media (max-width: 500px) {
    font-size: 16 / 425 * 100vw;
  }
}

body {
  @media (max-width: $mobile-width) {
    padding-top: rem(65);
  }
}

.container {
  width: 100%;
  max-width: rem(1260);
  padding: 0 rem(50);
  margin: 0 auto;

  @media (max-width: $mobile-width) {
    padding: 0 rem(20);
  }
}

.page-wrapper {
  height: 100vh;

  display: flex;
  flex-flow: column;
}

.page-content {
  flex: 1 0 auto;
}

.page-footer, .page-header {
  flex-shrink: 0;
}

.page-title {
  @include h1();
}

*:focus {
  outline: none;
}

sup {
  font-size: rem(10);
  line-height: 0;
}

@import '~assets/scss/components/button.scss';
@import '~assets/scss/components/scrollbar.scss';
@import '~assets/scss/components/datepicker.scss';
@import '~assets/scss/components/two-col-page.scss';
@import '~assets/scss/components/lk-page.scss';
@import '~assets/scss/components/content-page.scss';
@import '~assets/scss/components/form-page.scss';
@import '~assets/scss/components/notification.scss';
